summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-kernel/vanilla-kernel')
-rw-r--r--sys-kernel/vanilla-kernel/Manifest2
-rw-r--r--sys-kernel/vanilla-kernel/vanilla-kernel-5.4.79.ebuild103
2 files changed, 105 insertions, 0 deletions
diff --git a/sys-kernel/vanilla-kernel/Manifest b/sys-kernel/vanilla-kernel/Manifest
index e390283fc3b..9474df05201 100644
--- a/sys-kernel/vanilla-kernel/Manifest
+++ b/sys-kernel/vanilla-kernel/Manifest
@@ -13,6 +13,8 @@ DIST linux-5.4.77.tar.sign 989 BLAKE2B d79c13fa311bd79dd690673f6f75cc308c28aea15
DIST linux-5.4.77.tar.xz 109619220 BLAKE2B a89f698636cb913574dda1be8794955c79ae6e221a05bd16afdf555a3a142679309b0c494912b0020bc59c315e0e793042bd504ff076cd910d36e62c943a4661 SHA512 f8501bac63b8d5d9d263eaebf6ab3d9a70a7c26fa39c186c31ce1936647bb08efb19bdbe4a8f2912c37616d370bbdd05bec395d6d818fad235c38832b9d9cb87
DIST linux-5.4.78.tar.sign 989 BLAKE2B 3a4c7fd8492f09a2e2ccb3d06255090aa785f9c426a95781e04169d865a5ac6cc47a8280ff38f5e45b1e230615c35ea6db3f4ac06a7b946ed49182825ba34bfd SHA512 19eed99c70abb6bd31f89c679e1ae823e79fc881c9ba7b7e1ed8ff3c50bc898f26836fa775dda6e2f04981c51214f7b3777b6331c1483b8d7d90492f9450ed72
DIST linux-5.4.78.tar.xz 109618256 BLAKE2B e856874995b363c91e3147d133b07072cd73abe02bf1eaf33a48129c1c596303519e0da598465c633ae2b5168ad3b52efb3a516fd8eba13a52d3666350ab9bf8 SHA512 76207a716caf8931b875095a4cecae85d0e8dac9ef675ec32019462211ee7b263dc0cacbcd06561dfdba0510566a0280fa6d2e10f35695cf4613f99f90755f32
+DIST linux-5.4.79.tar.sign 989 BLAKE2B 26a1fcf560cb14a68ecb57e32ab7d6eed0cd33082ad7bea8e3ffb56fd59938225875084caae1af1d746f3fe02c9946a4ba5597647fd5cefe2fd942e5780f21bf SHA512 8208b2ca39a7cefe8ed812cc72fb12826929d11c27e0016059f5dee8985748fbf760857de676d406dbc62078977192747dbd0b168402741fbfe6eace42d6e7a2
+DIST linux-5.4.79.tar.xz 109628092 BLAKE2B b18636d55425207c572cfdf81d4b316ae2ea0054ca9d35bcddd46c17b16fba2e9f4776c57dd049296d4068669106ae15a9a19ed949b428dcab6d82e59117c477 SHA512 cb0ed9cb4b70b22d62c5faf607dc5ad1d338f75640e0ea6540bc508ee7803df572012a29cac50d1ccfc7ec9302416ae7b5451101b676ed789128370c9bad2470
DIST linux-5.9.8.tar.sign 987 BLAKE2B bbe7c04acb6b3f61333e96582fc3d64834bb51c79f7f1d1eac455d6b89b62b614e8975adf01d2dda0b3a43813b32abe51f65f111e4ef68a0b4da9b26e22dafc8 SHA512 1e3ba4a90414372790718adabf3d8311cc6cca91601f048c8c7b2efdad6cd7ab9628a906407168df92aa6cfdf6ad93a9d9341a9f31bd8d46d9e808f4c9edf848
DIST linux-5.9.8.tar.xz 115540828 BLAKE2B 27b8820bbd7ea278b47e1c208efeeb41c890276ae59d33971ab0d8ba0081d45e57c579f9390c5e3019a4f3beebaf17a29a959e1b6cadb9e1824ea4e568f90205 SHA512 063e853ccebe3e9422407dd4ed7f74a6202546761d4eb542035b3d71d0478efba9daa6eaeb1e2452c13d3093dd64729d9fd2df17945319b9535724d95be94a69
DIST linux-5.9.9.tar.sign 987 BLAKE2B 9a23d3b858f3df31bf00fd5f2d3e318fbda5d794fa97884a6d2cbd26d71d39b4dd99f5b59c9812e4ff74cdc641a83c6f68e09690000958225ec5dde4e3eba852 SHA512 afca72f0efbd938a3822308a725a6b04685dc10694ad44da1d54ac7f9abab083fe5d820ce88bc470c3983b4daf973e39ead03b91d0f0913a179f2e312a253538
diff --git a/sys-kernel/vanilla-kernel/vanilla-kernel-5.4.79.ebuild b/sys-kernel/vanilla-kernel/vanilla-kernel-5.4.79.ebuild
new file mode 100644
index 00000000000..9c5f2af87ff
--- /dev/null
+++ b/sys-kernel/vanilla-kernel/vanilla-kernel-5.4.79.ebuild
@@ -0,0 +1,103 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-build verify-sig
+
+MY_P=linux-${PV}
+# https://koji.fedoraproject.org/koji/packageinfo?packageID=8
+CONFIG_VER=5.4.21
+CONFIG_HASH=2809b7faa6a8cb232cd825096c146b7bdc1e08ea
+GENTOO_CONFIG_VER=5.4.77-r1
+
+DESCRIPTION="Linux kernel built from vanilla upstream sources"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI+=" https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 1).x/${MY_P}.tar.xz
+ https://github.com/mgorny/gentoo-kernel-config/archive/v${GENTOO_CONFIG_VER}.tar.gz
+ -> gentoo-kernel-config-${GENTOO_CONFIG_VER}.tar.gz
+ verify-sig? (
+ https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 1).x/${MY_P}.tar.sign
+ )
+ amd64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-x86_64.config
+ -> kernel-x86_64.config.${CONFIG_VER}
+ )
+ arm64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-aarch64.config
+ -> kernel-aarch64.config.${CONFIG_VER}
+ )
+ ppc64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-ppc64le.config
+ -> kernel-ppc64le.config.${CONFIG_VER}
+ )
+ x86? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-i686.config
+ -> kernel-i686.config.${CONFIG_VER}
+ )"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="debug"
+
+RDEPEND="
+ !sys-kernel/vanilla-kernel-bin:${SLOT}"
+BDEPEND="
+ debug? ( dev-util/dwarves )
+ verify-sig? ( app-crypt/openpgp-keys-kernel )"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/kernel.org.asc
+
+pkg_pretend() {
+ ewarn "Starting with 5.4.52, Distribution Kernels are switching from Arch"
+ ewarn "Linux configs to Fedora. Please keep a backup kernel just in case."
+
+ kernel-install_pkg_pretend
+}
+
+src_unpack() {
+ if use verify-sig; then
+ einfo "Unpacking linux-${PV}.tar.xz ..."
+ verify-sig_verify_detached - "${DISTDIR}"/linux-${PV}.tar.sign \
+ < <(xz -cd "${DISTDIR}"/linux-${PV}.tar.xz | tee >(tar -x))
+ assert "Unpack failed"
+ else
+ default
+ fi
+}
+
+src_prepare() {
+ default
+
+ # prepare the default config
+ case ${ARCH} in
+ amd64)
+ cp "${DISTDIR}/kernel-x86_64.config.${CONFIG_VER}" .config || die
+ ;;
+ arm64)
+ cp "${DISTDIR}/kernel-aarch64.config.${CONFIG_VER}" .config || die
+ ;;
+ ppc64)
+ cp "${DISTDIR}/kernel-ppc64le.config.${CONFIG_VER}" .config || die
+ ;;
+ x86)
+ cp "${DISTDIR}/kernel-i686.config.${CONFIG_VER}" .config || die
+ ;;
+ *)
+ die "Unsupported arch ${ARCH}"
+ ;;
+ esac
+
+ local merge_configs=(
+ "${WORKDIR}/gentoo-kernel-config-${GENTOO_CONFIG_VER}"/base.config
+ )
+ use debug || merge_configs+=(
+ "${WORKDIR}/gentoo-kernel-config-${GENTOO_CONFIG_VER}"/no-debug.config
+ )
+ [[ ${ARCH} == x86 ]] && merge_configs+=(
+ "${WORKDIR}/gentoo-kernel-config-${GENTOO_CONFIG_VER}"/32-bit.config
+ )
+
+ kernel-build_merge_configs "${merge_configs[@]}"
+}